STRUCT TEMPLATE T(3)

NAME
boost::xpressive::op::throw_

SYNOPSIS

// In header: <boost/xpressive/regex_actions.hpp>
template<typename Except>
struct throw_ {
  // types
  typedef void result_type;
  // public member functions
  void operator()() const;
  template<typename A0> void operator()(A0 const &) const;
  template<typename A0, typename A1>
    void operator()(A0 const &, A1 const &) const;
  template<typename A0, typename A1, typename A2>
    void operator()(A0 const &, A1 const &, A2 const &) const;
};

DESCRIPTION

  throw_ public member functions

    1.

    void operator()() const;

    2.

    template<typename A0> void operator()(A0 const & a0) const;

    3.

    template<typename A0, typename A1>
      void operator()(A0 const & a0, A1 const & a1) const;

    4.

    template<typename A0, typename A1, typename A2>
      void operator()(A0 const & a0, A1 const & a1, A2 const & a2) const;